イナヅマTVログ

OS X Mavericks(10.9)のJavaを1.7にしたい

| 0件のコメント

できてしまえば簡単だったけど、たどり着くまでは大変だったJavaアップデートの話。
環境:Mac OS X Mavericks(10.9)

ant使ってGoogleのcompiler.jarでJavaScriptをminifyしたかったけど、試すとエラーが出た。

java.lang.UnsupportedClassVersionError

Google先生に伺うとJavaバージョンが違ってるらしい。

・バージョン確認

javac -J-version
 
java version "1.6.0_65"

1.6やった。

1.7にしたらいいんかな。

support.apple.com: OS X 用の Java アップデートが 2013 年 8 月 28 日付でリリースされました
Java 7 をインストールするらしい。
記事中にリンクされていたjava.comからダウンロード。
java.com: Java for Mac OS Xのダウンロード
えっと、これはブラウザ・プラグインの様子。

oracle.com: Java SE Development Kit 7 Downloads
わっ!いっぱいある。
Java良くわかんない。
でかいの落としときゃいいのかしら。

docs.oracle.com: JDK 7 Installation for Mac OS X

インストール終わってバージョン確認した。

javac -J-version
 
java version "1.7.0_51"

でけた!
いやぁ良かった。
antもうまくいってめでたしめでたし。

【おまけ】
Getting Started with the Closure Compiler Application

コメントを残す

必須欄は * がついています